autofs-5.1.7 - fix arg not used in error print

From: Ian Kent <raven@themaw.net>

Coverity: extra_argument: This argument was not used by the format
	  string: "key".

Signed-off-by: Ian Kent <raven@themaw.net>
---
 CHANGELOG    |    1 +
 lib/mounts.c |    4 +---
 2 files changed, 2 insertions(+), 3 deletions(-)

diff --git a/CHANGELOG b/CHANGELOG
index f11aa1c7..1d56c96f 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -60,6 +60,7 @@
 - dont try umount after stat() ENOENT fail.
 - remove redundant assignment in master_add_amd_mount_section_mounts().
 - fix dead code in mnts_add_mount().
+- fix arg not used in error print.
 
 25/01/2021 autofs-5.1.7
 - make bind mounts propagation slave by default.
diff --git a/lib/mounts.c b/lib/mounts.c
index 018b9c80..883e3743 100644
--- a/lib/mounts.c
+++ b/lib/mounts.c
@@ -1519,9 +1519,7 @@ int tree_mapent_add_node(struct mapent_cache *mc,
 	}
 
 	if (MAPENT_ROOT(base) != MAPENT_NODE(base)) {
-		error(logopt,
-		     "failed to find multi-mount root of offset tree",
-		     key);
+		error(logopt, "key %s is not multi-mount root", root);
 		return 0;
 	}
 	tree = MAPENT_ROOT(base);
